Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt
Class QSysInfo

    java.lang.Object
      com.trolltech.qt.QSysInfo

    public class QSysInfo

extends java.lang.Object

Field Summary
`static int` | `MacOS_10_0`
`static int` | `MacOS_10_1`
`static int` | `MacOS_10_2`
`static int` | `MacOS_10_3`
`static int` | `MacOS_10_4`
`static int` | `MacOS_CHEETAH`
`static int` | `MacOS_JAGUAR`
`static int` | `MacOS_PANTHER`
`static int` | `MacOS_PUMA`
`static int` | `MacOS_TIGER`
`static int` | `OS_AIX`
`static int` | `OS_BSD4`
`static int` | `OS_BSDI`
`static int` | `OS_CYGWIN`
`static int` | `OS_DARWIN`
`static int` | `OS_DGUX`
`static int` | `OS_DYNIX`
`static int` | `OS_FREEBSD`
`static int` | `OS_HPUX`
`static int` | `OS_HURD`
`static int` | `OS_IRIX`
`static int` | `OS_LINUX`
`static int` | `OS_LYNX`
`static int` | `OS_MSDOS`
`static int` | `OS_NETBSD`
`static int` | `OS_OPENBSD`
`static int` | `OS_OS2`
`static int` | `OS_OS2EMX`
`static int` | `OS_OSF`
`static int` | `OS_QNX`
`static int` | `OS_QNX6`
`static int` | `OS_RELIANT`
`static int` | `OS_SCO`
`static int` | `OS_SOLARIS`
`static int` | `OS_ULTRIX`
`static int` | `OS_UNIXWARE`
`static int` | `OS_WIN32`
`static int` | `OS_WIN64`
`static int` | `Windows_2000`
`static int` | `Windows_2003`
`static int` | `Windows_32s`
`static int` | `Windows_95`
`static int` | `Windows_98`
`static int` | `Windows_CE`
`static int` | `Windows_CE_based`
`static int` | `Windows_CENET`
`static int` | `Windows_DOS_based`
`static int` | `Windows_Me`
`static int` | `Windows_NT`
`static int` | `Windows_NT_based`
`static int` | `Windows_VISTA`
`static int` | `Windows_XP`

Constructor Summary
`QSysInfo()`

Method Summary
`static int` | `macVersion()`
`static int` | `operatingSystem()`
`static int` | `windowsVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Windows_32s

    public static final int Windows_32s

See Also:
  Constant Field Values

### Windows_95

    public static final int Windows_95

See Also:
  Constant Field Values

### Windows_98

    public static final int Windows_98

See Also:
  Constant Field Values

### Windows_Me

    public static final int Windows_Me

See Also:
  Constant Field Values

### Windows_DOS_based

    public static final int Windows_DOS_based

See Also:
  Constant Field Values

### Windows_NT

    public static final int Windows_NT

See Also:
  Constant Field Values

### Windows_2000

    public static final int Windows_2000

See Also:
  Constant Field Values

### Windows_XP

    public static final int Windows_XP

See Also:
  Constant Field Values

### Windows_2003

    public static final int Windows_2003

See Also:
  Constant Field Values

### Windows_VISTA

    public static final int Windows_VISTA

See Also:
  Constant Field Values

### Windows_NT_based

    public static final int Windows_NT_based

See Also:
  Constant Field Values

### Windows_CE

    public static final int Windows_CE

See Also:
  Constant Field Values

### Windows_CENET

    public static final int Windows_CENET

See Also:
  Constant Field Values

### Windows_CE_based

    public static final int Windows_CE_based

See Also:
  Constant Field Values

### MacOS_10_0

    public static final int MacOS_10_0

See Also:
  Constant Field Values

### MacOS_10_1

    public static final int MacOS_10_1

See Also:
  Constant Field Values

### MacOS_10_2

    public static final int MacOS_10_2

See Also:
  Constant Field Values

### MacOS_10_3

    public static final int MacOS_10_3

See Also:
  Constant Field Values

### MacOS_10_4

    public static final int MacOS_10_4

See Also:
  Constant Field Values

### MacOS_CHEETAH

    public static final int MacOS_CHEETAH

See Also:
  Constant Field Values

### MacOS_PUMA

    public static final int MacOS_PUMA

See Also:
  Constant Field Values

### MacOS_JAGUAR

    public static final int MacOS_JAGUAR

See Also:
  Constant Field Values

### MacOS_PANTHER

    public static final int MacOS_PANTHER

See Also:
  Constant Field Values

### MacOS_TIGER

    public static final int MacOS_TIGER

See Also:
  Constant Field Values

### OS_AIX

    public static final int OS_AIX

See Also:
  Constant Field Values

### OS_BSD4

    public static final int OS_BSD4

See Also:
  Constant Field Values

### OS_BSDI

    public static final int OS_BSDI

See Also:
  Constant Field Values

### OS_CYGWIN

    public static final int OS_CYGWIN

See Also:
  Constant Field Values

### OS_DARWIN

    public static final int OS_DARWIN

See Also:
  Constant Field Values

### OS_DGUX

    public static final int OS_DGUX

See Also:
  Constant Field Values

### OS_DYNIX

    public static final int OS_DYNIX

See Also:
  Constant Field Values

### OS_FREEBSD

    public static final int OS_FREEBSD

See Also:
  Constant Field Values

### OS_HPUX

    public static final int OS_HPUX

See Also:
  Constant Field Values

### OS_HURD

    public static final int OS_HURD

See Also:
  Constant Field Values

### OS_IRIX

    public static final int OS_IRIX

See Also:
  Constant Field Values

### OS_LINUX

    public static final int OS_LINUX

See Also:
  Constant Field Values

### OS_LYNX

    public static final int OS_LYNX

See Also:
  Constant Field Values

### OS_MSDOS

    public static final int OS_MSDOS

See Also:
  Constant Field Values

### OS_NETBSD

    public static final int OS_NETBSD

See Also:
  Constant Field Values

### OS_OPENBSD

    public static final int OS_OPENBSD

See Also:
  Constant Field Values

### OS_OS2

    public static final int OS_OS2

See Also:
  Constant Field Values

### OS_OS2EMX

    public static final int OS_OS2EMX

See Also:
  Constant Field Values

### OS_OSF

    public static final int OS_OSF

See Also:
  Constant Field Values

### OS_QNX

    public static final int OS_QNX

See Also:
  Constant Field Values

### OS_QNX6

    public static final int OS_QNX6

See Also:
  Constant Field Values

### OS_RELIANT

    public static final int OS_RELIANT

See Also:
  Constant Field Values

### OS_SCO

    public static final int OS_SCO

See Also:
  Constant Field Values

### OS_SOLARIS

    public static final int OS_SOLARIS

See Also:
  Constant Field Values

### OS_ULTRIX

    public static final int OS_ULTRIX

See Also:
  Constant Field Values

### OS_UNIXWARE

    public static final int OS_UNIXWARE

See Also:
  Constant Field Values

### OS_WIN32

    public static final int OS_WIN32

See Also:
  Constant Field Values

### OS_WIN64

    public static final int OS_WIN64

See Also:
  Constant Field Values

Constructor Detail

### QSysInfo

    public QSysInfo()

Method Detail

### windowsVersion

    public static int windowsVersion()

### macVersion

    public static int macVersion()

### operatingSystem

    public static int operatingSystem()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD